pcl::gpu::people::OrganizedPlaneDetector Class Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/include/pcl/gpu/people/organized_plane_detector.h>`

## Public Types

using | Ptr = shared_ptr< OrganizedPlaneDetector >
using | ConstPtr = shared_ptr< const OrganizedPlaneDetector >
using | PointTC = pcl::PointXYZRGBA
using | PointT = pcl::PointXYZ
using | HostLabelProbability = pcl::PointCloud< pcl::device::prob_histogram >

## Public Member Functions

| OrganizedPlaneDetector (int rows=480, int cols=640)
| This is the constructor. More...
void | process (const PointCloud< PointTC >::ConstPtr &cloud)
| Process step, this wraps Organized Plane Segmentation code. More...
double | getMpsAngularThreshold () const
void | setMpsAngularThreshold (double mpsAngularThreshold)
double | getMpsDistanceThreshold () const
void | setMpsDistanceThreshold (double mpsDistanceThreshold)
int | getMpsMinInliers () const
void | setMpsMinInliers (int mpsMinInliers)
float | getNeMaxDepthChangeFactor () const
void | setNeMaxDepthChangeFactor (float neMaxDepthChangeFactor)
float | getNeNormalSmoothingSize () const
void | setNeNormalSmoothingSize (float neNormalSmoothingSize)
void | emptyHostLabelProbability (HostLabelProbability &histogram)
int | copyHostLabelProbability (HostLabelProbability &src, HostLabelProbability &dst)
int | copyAndClearHostLabelProbability (HostLabelProbability &src, HostLabelProbability &dst)

## Public Attributes

HostLabelProbability | P_l_host_
HostLabelProbability | P_l_host_prev_
pcl::device::LabelProbability | P_l_dev_
pcl::device::LabelProbability | P_l_dev_prev_

## Protected Attributes

pcl::IntegralImageNormalEstimation< PointTC, pcl::Normal > | ne_
pcl::OrganizedMultiPlaneSegmentation< PointTC, pcl::Normal, pcl::Label > | mps_
float | ne_NormalSmoothingSize_
float | ne_MaxDepthChangeFactor_
int | mps_MinInliers_
double | mps_AngularThreshold_
double | mps_DistanceThreshold_
bool | mps_use_planar_refinement_

## Detailed Description

Definition at line 58 of file organized_plane_detector.h.

## Member Typedef Documentation

## ConstPtr

using pcl::gpu::people::OrganizedPlaneDetector::ConstPtr = shared_ptr<const OrganizedPlaneDetector>

Definition at line 62 of file organized_plane_detector.h.

## HostLabelProbability

using pcl::gpu::people::OrganizedPlaneDetector::HostLabelProbability = pcl::PointCloud<pcl::device::prob_histogram>

Definition at line 67 of file organized_plane_detector.h.

## PointT

using pcl::gpu::people::OrganizedPlaneDetector::PointT = pcl::PointXYZ

Definition at line 65 of file organized_plane_detector.h.

## PointTC

using pcl::gpu::people::OrganizedPlaneDetector::PointTC = pcl::PointXYZRGBA

Definition at line 64 of file organized_plane_detector.h.

## Ptr

using pcl::gpu::people::OrganizedPlaneDetector::Ptr = shared_ptr<OrganizedPlaneDetector>

Definition at line 61 of file organized_plane_detector.h.

## Constructor & Destructor Documentation

## OrganizedPlaneDetector()

pcl::gpu::people::OrganizedPlaneDetector::OrganizedPlaneDetector | ( | int | rows = `480`,
|  | int | cols = `640`
| ) |  |

This is the constructor.

## Member Function Documentation

## copyAndClearHostLabelProbability()

int pcl::gpu::people::OrganizedPlaneDetector::copyAndClearHostLabelProbability | ( | HostLabelProbability & | src,
|  | HostLabelProbability & | dst
| ) |  |

## copyHostLabelProbability()

int pcl::gpu::people::OrganizedPlaneDetector::copyHostLabelProbability | ( | HostLabelProbability & | src,
|  | HostLabelProbability & | dst
| ) |  |

## emptyHostLabelProbability()

void pcl::gpu::people::OrganizedPlaneDetector::emptyHostLabelProbability | ( | HostLabelProbability & | histogram | ) |

## getMpsAngularThreshold()

double pcl::gpu::people::OrganizedPlaneDetector::getMpsAngularThreshold | ( |  | ) | const

inline

Definition at line 98 of file organized_plane_detector.h.

References mps_AngularThreshold_.

## getMpsDistanceThreshold()

double pcl::gpu::people::OrganizedPlaneDetector::getMpsDistanceThreshold | ( |  | ) | const

inline

Definition at line 109 of file organized_plane_detector.h.

References mps_DistanceThreshold_.

## getMpsMinInliers()

int pcl::gpu::people::OrganizedPlaneDetector::getMpsMinInliers | ( |  | ) | const

inline

Definition at line 120 of file organized_plane_detector.h.

References mps_MinInliers_.

## getNeMaxDepthChangeFactor()

float pcl::gpu::people::OrganizedPlaneDetector::getNeMaxDepthChangeFactor | ( |  | ) | const

inline

Definition at line 133 of file organized_plane_detector.h.

References ne_MaxDepthChangeFactor_.

## getNeNormalSmoothingSize()

float pcl::gpu::people::OrganizedPlaneDetector::getNeNormalSmoothingSize | ( |  | ) | const

inline

Definition at line 144 of file organized_plane_detector.h.

References ne_NormalSmoothingSize_.

## process()

void pcl::gpu::people::OrganizedPlaneDetector::process | ( | const PointCloud< PointTC >::ConstPtr & | cloud | ) |

Process step, this wraps Organized Plane Segmentation code.

## setMpsAngularThreshold()

void pcl::gpu::people::OrganizedPlaneDetector::setMpsAngularThreshold | ( | double | mpsAngularThreshold | ) |

inline

Definition at line 103 of file organized_plane_detector.h.

References mps_, and mps_AngularThreshold_.

## setMpsDistanceThreshold()

void pcl::gpu::people::OrganizedPlaneDetector::setMpsDistanceThreshold | ( | double | mpsDistanceThreshold | ) |

inline

Definition at line 114 of file organized_plane_detector.h.

References mps_, and mps_DistanceThreshold_.

## setMpsMinInliers()

void pcl::gpu::people::OrganizedPlaneDetector::setMpsMinInliers | ( | int | mpsMinInliers | ) |

inline

Definition at line 125 of file organized_plane_detector.h.

References mps_, and mps_MinInliers_.

## setNeMaxDepthChangeFactor()

void pcl::gpu::people::OrganizedPlaneDetector::setNeMaxDepthChangeFactor | ( | float | neMaxDepthChangeFactor | ) |

inline

Definition at line 138 of file organized_plane_detector.h.

References ne_, and ne_MaxDepthChangeFactor_.

## setNeNormalSmoothingSize()

void pcl::gpu::people::OrganizedPlaneDetector::setNeNormalSmoothingSize | ( | float | neNormalSmoothingSize | ) |

inline

Definition at line 149 of file organized_plane_detector.h.

References ne_, and ne_NormalSmoothingSize_.

## Member Data Documentation

## mps_

pcl::OrganizedMultiPlaneSegmentation<PointTC, pcl::Normal, pcl::Label> pcl::gpu::people::OrganizedPlaneDetector::mps_

protected

Definition at line 81 of file organized_plane_detector.h.

Referenced by setMpsAngularThreshold(), setMpsDistanceThreshold(), and setMpsMinInliers().

## mps_AngularThreshold_

double pcl::gpu::people::OrganizedPlaneDetector::mps_AngularThreshold_

protected

Definition at line 87 of file organized_plane_detector.h.

Referenced by getMpsAngularThreshold(), and setMpsAngularThreshold().

## mps_DistanceThreshold_

double pcl::gpu::people::OrganizedPlaneDetector::mps_DistanceThreshold_

protected

Definition at line 88 of file organized_plane_detector.h.

Referenced by getMpsDistanceThreshold(), and setMpsDistanceThreshold().

## mps_MinInliers_

int pcl::gpu::people::OrganizedPlaneDetector::mps_MinInliers_

protected

Definition at line 86 of file organized_plane_detector.h.

Referenced by getMpsMinInliers(), and setMpsMinInliers().

## mps_use_planar_refinement_

bool pcl::gpu::people::OrganizedPlaneDetector::mps_use_planar_refinement_

protected

Definition at line 89 of file organized_plane_detector.h.

## ne_

pcl::IntegralImageNormalEstimation<PointTC, pcl::Normal> pcl::gpu::people::OrganizedPlaneDetector::ne_

protected

Definition at line 80 of file organized_plane_detector.h.

Referenced by setNeMaxDepthChangeFactor(), and setNeNormalSmoothingSize().

## ne_MaxDepthChangeFactor_

float pcl::gpu::people::OrganizedPlaneDetector::ne_MaxDepthChangeFactor_

protected

Definition at line 84 of file organized_plane_detector.h.

Referenced by getNeMaxDepthChangeFactor(), and setNeMaxDepthChangeFactor().

## ne_NormalSmoothingSize_

float pcl::gpu::people::OrganizedPlaneDetector::ne_NormalSmoothingSize_

protected

Definition at line 83 of file organized_plane_detector.h.

Referenced by getNeNormalSmoothingSize(), and setNeNormalSmoothingSize().

## P_l_dev_

pcl::device::LabelProbability pcl::gpu::people::OrganizedPlaneDetector::P_l_dev_

Definition at line 76 of file organized_plane_detector.h.

## P_l_dev_prev_

pcl::device::LabelProbability pcl::gpu::people::OrganizedPlaneDetector::P_l_dev_prev_

Definition at line 77 of file organized_plane_detector.h.

## P_l_host_

HostLabelProbability pcl::gpu::people::OrganizedPlaneDetector::P_l_host_

Definition at line 73 of file organized_plane_detector.h.

## P_l_host_prev_

HostLabelProbability pcl::gpu::people::OrganizedPlaneDetector::P_l_host_prev_

Definition at line 74 of file organized_plane_detector.h.

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/include/pcl/gpu/people/organized_plane_detector.h